Skip to main content
GET
/
exchange
/
api
/
v1
/
mark_prices
Get Mark Price History
curl --request GET \
  --url https://api.example.com/exchange/api/v1/mark_prices
{
  "nextGlobalOrdinal": 123,
  "value": [
    {
      "globalOrdinal": 123,
      "epochId": 123,
      "symbol": "<string>",
      "price": "<string>",
      "fundingRate": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "success": true,
  "timestamp": 123
}

Query Parameters

limit
integer
default:500

The number of rows to return

epoch
integer

The epoch boundary used when fetching the next timeseries page.

symbol
string

The symbol

order
enum<string>
default:asc

The ordering of the results.

Available options:
asc,
desc
globalOrdinal
integer

The global ordinal boundary used when fetching the next timeseries page.

Response

Mark price data

Successful response for the Mark Price API

nextGlobalOrdinal
number | null
required

Pointer for the global ordinal boundary of the next page. Will return null when there is no more data left to fetch.

Examples:

100

null

value
object[]
required

The value of the response

success
boolean
required

Whether the request was successful

timestamp
number
required

The timestamp of the response

Example:

1673031089

Last modified on April 27, 2026